summaryrefslogtreecommitdiff
path: root/dev-python/webob
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/webob
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/webob')
-rw-r--r--dev-python/webob/Manifest2
-rw-r--r--dev-python/webob/metadata.xml15
-rw-r--r--dev-python/webob/webob-1.8.5-r3.ebuild31
-rw-r--r--dev-python/webob/webob-1.8.6.ebuild29
4 files changed, 77 insertions, 0 deletions
diff --git a/dev-python/webob/Manifest b/dev-python/webob/Manifest
new file mode 100644
index 000000000000..57c5f11f1570
--- /dev/null
+++ b/dev-python/webob/Manifest
@@ -0,0 +1,2 @@
+DIST WebOb-1.8.5.tar.gz 271955 BLAKE2B e1d22e91e8e04c88d6adcb4dcad93e1e0c37b5b3894eee7c2b5a92d2eea41719d3b42e05916bb355a3ac9a2f7357fe791ce6f776261bfc764eadf59d4be37bad SHA512 cc0b956a7c3b8ae58d6002baf5c6de4e442201280468f8fc8b5fbd2c7f7cb7a8f46447f97b98a32a9959c8d1aa7a2a8a7b9d624cb27ca79b2ad1ce94f891801b
+DIST WebOb-1.8.6.tar.gz 274606 BLAKE2B 0419e60faaefd4bb822387bf5624f77765c6ad528da791d54204b528b7c827d0cc506cbe260ccbfc7d23ffef73132254dcf133ffb1e0377d75ee5ae83d4deb84 SHA512 b9a3faac114c55f3e9a6eb71a78dd921d928da99a427dea05bc798bc1fe249f0f1cf8c9b9fcb1b73be2737b9132bbfe2250a8652e3a8a1199ac74fa62a59d44c
diff --git a/dev-python/webob/metadata.xml b/dev-python/webob/metadata.xml
new file mode 100644
index 000000000000..1e508cbe451c
--- /dev/null
+++ b/dev-python/webob/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">WebOb</remote-id>
+ <remote-id type="github">Pylons/webob</remote-id>
+ <bugs-to>https://github.com/Pylons/webob/issues</bugs-to>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/webob/webob-1.8.5-r3.ebuild b/dev-python/webob/webob-1.8.5-r3.ebuild
new file mode 100644
index 000000000000..da8bf93e9091
--- /dev/null
+++ b/dev-python/webob/webob-1.8.5-r3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7,8}} )
+
+inherit distutils-r1
+
+MY_PN=WebOb
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="WSGI request and response object"
+HOMEPAGE="https://webob.org/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+S="${WORKDIR}/${MY_P}"
+
+distutils_enable_sphinx docs 'dev-python/alabaster'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i "/'sphinx.ext.intersphinx'/d" docs/conf.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/webob/webob-1.8.6.ebuild b/dev-python/webob/webob-1.8.6.ebuild
new file mode 100644
index 000000000000..0be6b5b7041f
--- /dev/null
+++ b/dev-python/webob/webob-1.8.6.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7,8,9}} )
+
+inherit distutils-r1
+
+MY_PN=WebOb
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="WSGI request and response object"
+HOMEPAGE="https://webob.org/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+
+distutils_enable_sphinx docs 'dev-python/alabaster'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # py3.9
+ sed -i -e 's:isAlive:is_alive:' tests/conftest.py || die
+ distutils-r1_src_prepare
+}